<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [Stream](./iceshrimp-js.stream.md) &gt; [removeSharedConnectionPool](./iceshrimp-js.stream.removesharedconnectionpool.md)

## Stream.removeSharedConnectionPool() method

**Signature:**

```typescript
removeSharedConnectionPool(pool: Pool): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pool | Pool |  |

**Returns:**

void

